#ifndef RECORDS_HPP
#define RECORDS_HPP

#include "utils.PRO2"
// Potser calgui fer algun include mes, depenent dels camps que vulgueu 
// definir a la vostra classe


class Records {
  private:  // Completar els camps i l'especificacio d'ops. privades (si calen)

  public:
    Records(int pot2n);
    /* Pre: pot2n es una potencia de 2, pot2n >= 2 */
    /* Post: el resultat esta preparat per contenir els records de
             pot2n participants */

    void comprovar(int id, int p, int t, int g);
    /* Pre: 1 <= id, p <= pot2n del p.i.,
            id es l'indentificador d'un participant,
            p es l'identificador del poblat de sortida de la cursa,
            t es el temps de la cursa,
            g es la gasolina consumida a la cursa */
    /* Post: si el participant id no havia fet cap cursa encara o
             les dades (p,t,g) de la nova cursa milloren el seu record,
             actualitza el record d'id amb els valors (p,t,g) */

    void consulta_record(int id, int &p, int &t, int &g) const;
    /* Pre: 1<= id <= pot2n del p.i. */
    /* Post: p=0 indica que el participant id no ha completat cap cursa;
             1<= p <= pot2n del p.i. indica que la millor cursa d'id ha
             estat des del poblat p amb un temps t i gasolina consumida g */ 
};

#endif
